Skip to main content
`Ctrl`+`K`

# vispy.visuals.graphs.layouts.circular module

## Circular Layout

This module contains several graph layouts which rely heavily on circles.

vispy.visuals.graphs.layouts.circular.circular(adjacency_mat, directed=False)

  Places all nodes on a single circle.

  Parameters:
    adjacency_mat matrix or sparse

      The graph adjacency matrix

    directed bool

      Whether the graph is directed. If this is True, is will also generate the vertices for arrows, which can be passed to an ArrowVisual.

  Yields:
    (node_vertices, line_vertices, arrow_vertices)tuple

      Yields the node and line vertices in a tuple. This layout only yields a single time, and has no builtin animation